
package de.ivu.elect.presentation.benutzerverwaltung;

import javax.inject.Named;

import org.apache.deltaspike.core.api.scope.ViewAccessScoped;

import de.ivu.elect.business.benutzerverwaltung.boundary.BenutzerEinsatzortSearchParameters;
import de.ivu.elect.business.benutzerverwaltung.entity.BenutzerEinsatzort;
import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.jee.presentation.dynamicform.FormBuilder;
import de.ivu.elect.presentation.View;
import de.ivu.elect.presentation.hilfe.OnlineHilfeId;
import de.ivu.elect.presentation.security.AbstractGebietSecurityFilter;

/**
 *  on 08.02.2017.
 */
@OnlineHilfeId("661")
@ViewAccessScoped
@Named(AbstractBenutzerEinsatzortSearchView.COMPONENT_NAME)
@View(viewId = AbstractBenutzerEinsatzortSearchView.VIEW_ID, useCase = UseCasePermission.BENUTZER_EINSATZORT_SEARCH)
public class BenutzerEinsatzortSearchView extends AbstractBenutzerEinsatzortSearchView {

  private static final long serialVersionUID = 1L;

  public BenutzerEinsatzortSearchView() {
    super();
  }

  @Override
  protected AbstractGebietSecurityFilter<BenutzerEinsatzort> getGebietSecurityFilter() {
    return AbstractGebietSecurityFilter.createKeinFilter();
  }

  @Override
  public void addProperties(FormBuilder formBuilder) {
    // nichts zu tun
  }

  @Override
  public void presetSearchParameters() {
    // nichts zu tun
  }

  @Override
  public BenutzerEinsatzortSearchParameters getSearchParameters() {
    BenutzerEinsatzortSearchParameters searchParameters = super.getSearchParameters();
    searchParameters.setMandant(getMandant());
    return searchParameters;
  }
}
